package config

const (
	// This is the absolute virtual minimum address we can load a program at, see `sysctl vm.mmap_min_addr`.
	MinAddress = 0x10000

	// The base address is the virtual address for our ELF file.
	BaseAddress = 0x40 * MinAddress

	// FileAlign is the alignment of the sections in the file.
	FileAlign = 0x4000

	// MemoryAlign is the alignment of the sections in memory and it must be a multiple of the page size.
	MemoryAlign = 0x4000
)
